# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Guard.pm) perl(IPC/Semaphore.pm) perl(IPC/SysV.pm) perl(Keyword/Declare.pm) perl(Test.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test2/Bundle/Extended.pm)
# END SourceDeps(oneline)
%define module_name IPC-Pleather
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Easy to use concurrency primitives inspired by Cilk
Group: Development/Perl
License: perl
URL: https://github.com/sysread/IPC-Pleather

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFOBER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
C has Cilk, Perl has Pleather.

IPC::Pleather adopts two keywords from Cilk, `spawn' and `sync'. `spawn'
signals that the block or expression *may* be executed concurrently. `sync'
denotes a merge point, waiting until the spawned expression is completely
resolved.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/I*

%changelog
* Thu Jan 31 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

